﻿@model TagArt_Business.Model.UserListModel
@{
    ViewBag.Title = "User Profile";
    Layout = "~/Areas/Admin/Views/Shared/_adminlayout.cshtml";
    var imagespath = System.Configuration.ConfigurationManager.AppSettings["imagesPath"] + "UserProfile/";

}
<style>
    #sortable {
        list-style-type: none;
        margin: 0;
        padding: 0;
        width: 60%;
    }

        #sortable li {
            margin: 0 5px 5px 5px;
            padding: 5px;
            font-size: 1.2em;
            height: 1.5em;
        }

        html > body #sortable li {
            height: 1.5em;
            line-height: 1.2em;
        }

    .ui-state-highlight {
        height: 1.5em;
        line-height: 1.2em;
    }
</style>
<link href="~/Content/Site.css" rel="stylesheet" />

<section class="wrapper site-min-height">
    <ol class="arrows">
        <li>
            <i class="fa fa-dashboard"></i>
            @if (ViewContext.RouteData.Values["controller"].ToString() != "Home")
            {
                @Html.ActionLink(ViewContext.RouteData.Values["controller"].ToString(), "Index", ViewContext.RouteData.Values["controller"].ToString())
            }
            <i class="fa fa-angle-right"></i>
        </li>
        <li>
            @if (ViewContext.RouteData.Values["action"].ToString() != "Index")
            {
                @Html.ActionLink("Profile", ViewContext.RouteData.Values["action"].ToString(), ViewContext.RouteData.Values["controller"].ToString())
            }
        </li>
    </ol>
    <h3 id="pageHeader"> Update Profile</h3>
    <hr>
    <div id="faq" role="tablist" aria-multiselectable="true">
        <div class="panel panel-default">
            <div class="panel-heading" role="tab" id="questionOne">
                <h5 id="panel_header" class="panel-title">
                    Profile
                </h5>
            </div>
            <div id="answerOne" class="" role="tabpanel" aria-labelledby="questionOne">
                <div class="panel-body">
                    @if (Model != null)
                    {
                        <form class="form-horizontal style-form" method="get">
                            <div class="form-group">
                                <label class="col-sm-2 col-sm-2 control-label">Profile Picture</label>
                                <div class="col-sm-4 profile-pic">
                                     @{ var path= imagespath + Model.usr_Image; }
                                    <input type="hidden" id="ImgName_hidden" value="@Model.usr_Image" />
                                    <input  type="hidden" id="UsrId_hidden" value="@Model.usr_UserId" />
                                    @{var imgsrc = imagespath + "user-image.png"; }
                                    @if (Model.usr_Image == "")
                                    {
                                        <input type="file" id="upload_img" accept="image/*" onchange="preview_Img();" style="display:none"  />
                                          <img id="profile_pic" style="height:150px;width:150px;border-radius:50%;"  src='@imgsrc' />
                                    }
                                    else
                                    {
                                        <input type="file" id="upload_img" accept="image/*"  onchange="preview_Img();"  style="display:none" />
                                        <img id="profile_pic" style="height:150px;width:150px;border-radius:50%;"  src='@path' />
                                    }
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-sm-2 col-sm-2 control-label">Full Name</label>
                                <div class="col-sm-4">
                                    <input id="txt_FName" value="@Model.usr_FullName" type="text" maxlength="40" class="form-control " onkeypress="return blockSpecialChar(event)">
                                </div>
                                <label class="col-sm-2 col-sm-2 control-label">User Name</label>
                                <div class="col-sm-4">
                                    <input id="txt_LName" value="@Model.usr_UserName" type="text" maxlength="25" class="form-control " onkeypress="return blockSpecialChar(event)">
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-sm-2 col-sm-2 control-label">Email</label>
                                <div class="col-sm-4">
                                    <input id="txt_Email" type="text" value="@Model.usr_UserEmail" maxlength="150" onchange="checkvalidemail();" class="form-control" disabled>
                                </div>
                                <label id="lbl_password" class="col-sm-2 col-sm-2 control-label">Password</label>
                                <div class="col-sm-4">
                                    <input id="txt_Password" type="password"  value="@Model.usr_UserPassword" maxlength="20" class="form-control">
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="">
                                    <button type="button" id="btn_update" onclick="UpdateUser();" class="btn btn-theme" >Update</button>
                                    <button type="button" onclick="backToUser();" class="btn btn-theme04">Cancel</button>
                                </div>
                                <div class="">&nbsp;</div>
                            </div>
                        </form>
                                        }
                </div>
            </div>
        </div>
    </div>
</section>

<script src="https://code.jquery.com/jquery-1.12.4.js"></script>
<script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
<script src="~/Scripts/CommonFunction.js"></script>
<script>
    var imagespath = '@System.Configuration.ConfigurationManager.AppSettings["imagesPath"]' + "UserProfile/";
    $(document).ready(function () {
    });
    $('#profile_pic').click(function () { $('#upload_img').trigger('click'); });
    function preview_Img() {
        var total_file = document.getElementById("upload_img").files.length;
        $("#profile_pic").attr("src", URL.createObjectURL(event.target.files[0]));
    }
    function UpdateUser() {
        var txt_FName = $("#txt_FName").val().trim();
        var txt_LName = $("#txt_LName").val().trim();
        var txt_Email = $("#txt_Email").val().trim();
        var txt_Password = $("#txt_Password").val().trim();
        if (txt_FName == "") {
            alert("Please enter first name.");
            return;
        }
        if (txt_LName == "") {
            alert("Please enter last name.");
            return;
        }
        if (txt_Email == "") {
            alert("Please enter email.");
            return;
        } else {
            if (!CheckEmail($('#txt_Email').val())) {
                alert("please enter valid email address.");
                $('#txt_Email').focus();
                return;
            }
        }
        if (txt_Password == "") {
            alert("Please enter password.");
            return;
        } else {
            if (txt_Password.length < 5) {
                alert("Please enter password. mininum 5 word");
                return;
            }
        }
        var files = $("#upload_img").get(0).files;
        var UsrId = $("#UsrId_hidden").val();
        var ImgName_hidden = $("#ImgName_hidden").val();
        var data1 = new FormData();
        if (files.length != 0) {
            data1.append("imgUpdate", 1);
            data1.append("imageName", "");
        } else {
            data1.append("imgUpdate", 0);
            data1.append("imageName", ImgName_hidden);
        }
        data1.append("image", files[0]);
        data1.append("usr_UserId", UsrId);
        data1.append("usr_FullName", txt_FName);
        data1.append("usr_UserName", txt_LName);
        data1.append("usr_UserEmail", txt_Email);
        data1.append("usr_UserPassword", txt_Password);
        data1.append("usr_Status", true);
        $.ajax({
            type: "POST",
            async: false,
            url: '@Url.Action("UserProfileData", "Dashboard", new { area = "admin"})',
            dataType: 'json',
            contentType: false,
            processData: false,
            data: data1,
            success: function (data) {
                if (data.status == true) {
                    alert("Update successfully..");
                    var url = '@Url.Action("Index", "Dashboard", new { area = "admin"})';
                    window.location.href = url;
                }
            }
        });
        localStorage.setItem("userID", "");
    }

    function backToUser() {
        localStorage.setItem("userID", "");
        window.location.href = '@Url.Action("User", "Dashboard", new { area = "admin"})';
    }
    function SaveUser() {
        try {
            var txt_FName = $("#txt_FName").val().trim();
            var txt_LName = $("#txt_LName").val().trim();
            var txt_Email = $("#txt_Email").val().trim();
            var txt_Password = $("#txt_Password").val().trim();
            if (txt_FName == "") {
                alert("Please enter first name.");
                return;
            }
            if (txt_LName == "") {
                alert("Please enter last name.");
                return;
            }
            if (txt_Email == "") {
                alert("Please enter email.");
                return;
            } else {

                if (!CheckEmail($('#txt_Email').val())) {
                    alert("please enter valid email address.");
                    $('#txt_Email').focus();
                    return;
                }
            }
            if (txt_Password == "") {
                alert("Please enter password.");
                return;
            } else {
                if (txt_Password.length < 5) {
                    alert("Please enter password. mininum 5 word");
                    return;
                }
            }
            var Userstatus = "";
            if ($("#check_active").val() == "on") {
                Userstatus = true
            } else {
                Userstatus = false
            }
            var data1 = new FormData();
            data1.append("FName", txt_FName);
            data1.append("LName", txt_LName);
            data1.append("Email", txt_Email);
            data1.append("Password", txt_Password);
            data1.append("Userstatus", Userstatus);

            $.ajax({
                type: "POST",
                async: false,
                dataType: 'json',
                contentType: false,
                processData: false,
                url: '@Url.Action("SaveUser", "Dashboard", new { area = "admin"})',
                data: data1,
                success: function (data) {
                    localStorage.setItem("userID", "");
                    if (data.status == "success") {
                        if (data.rtype == "Email") {
                            alert("Email already register..");
                        } else if (data.rtype == "username") {
                            alert("Please enter unique username.");
                        } else {
                            alert("User added successfully..");
                            var url = '@Url.Action("User", "Dashboard", new { area = "admin"})';
                            window.location.href = url;
                        }
                    }
                }
            });
        } catch (e) {
            alert(e)
        }
    }
</script>

